
// ChildView.h : interface of the CChildView class
//


#pragma once


// CChildView window

class CChildView : public CWnd
{
public:
	CChildView() {
		m_pICapture = NULL;
		m_pImage = NULL;
	}
	virtual ~CChildView() {
		ReleaseAll(); 
	}

private:
	CComPtr<IFDCaptureVideoEx> m_pICapture;
	BYTE *m_pImage;
	BITMAPINFOHEADER m_bmpi;
	ULONGLONG m_nNextFrame;

private:
	void ReleaseAll() {
		m_pICapture = NULL;
		if( m_pImage != NULL ) {
			delete[] m_pImage;
			m_pImage = NULL;
		}
	}
	//
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	DECLARE_MESSAGE_MAP()
	afx_msg void OnPaint();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnFileProperties();
	afx_msg void OnDestroy() { ReleaseAll(); }
};

